import { View, ScrollView, Image, Button } from "@tarojs/components"
import MyCard from "@/components/MyCard"
import { Popup } from "@antmjs/vantui";
import { useState } from "react";
import PositionImg from '@/assets/job/positionImg.png'
import './style.less'

export default (props) => {
  const [show, setShow] = useState(false)
  const handleChange = () => {
    setShow(true)
  }
  const onClose = () => {
    setShow(false)
  }
  const handleOk=()=>{
    console.log('开始作业')
    setShow(false)
  }
  return (
    <ScrollView scrollY style={{ height: '100%' }}>
      <MyCard job changeJob={handleChange} />
      <MyCard job changeJob={handleChange} />
      <Popup
        show={show}
        onClose={onClose}
        className='tanchuang'
      >
        <Image src={PositionImg} className='pImg' />
        <View>当前位置在</View>
        <View>河南省南阳市邓州市孟楼镇</View>
        <Button className='btn' onClick={handleOk}>确认</Button>
      </Popup>
      <MyCard job onClick={handleChange} />
      <MyCard job onClick={handleChange} />
    </ScrollView>
  )
}
