import React, { useState } from "react"
import Taro from "@tarojs/taro";
import { View, Input, Swiper, Image, SwiperItem, Text, ScrollView } from "@tarojs/components"
import positionImg from '@/assets/comm/position.png'
import searchImg from '@/assets/comm/search.png'
import orderImg from '@/assets/comm/orderList.png'
import Footer from "@/components/Footer";
import MyCard from "@/components/MyCard";
import './style.less'

export default () => {

  const [swiperImgHeightList, setSwiperImgHeightList] = useState([])
  const [swiperImgWidthList, setSwiperImgWidthList] = useState([])
  const imglist = [
    {
      url: require('@/assets/banner/1.jpg')
    },
    {
      url: require('@/assets/banner/2.jpg')
    },
  ]
  const handleSearch = (e) => {
    console.log(e.detail.value)
  }
  const handleMore = () => {
    Taro.navigateTo({ url: '/pages/moreOrder/index' });
  }
  return (
    <View className='orderIndex'>
      <View className='top'>
        <View className='left'>
          <Image src={positionImg} className='pImg' />
          <Text>邓州市</Text>
          <View className='icon' />
        </View>
        <View className='searchClass'>
          <Input type='text' className='searchInput' onBlur={handleSearch} placeholder='搜索关键字查询订单' />
          <Image src={searchImg} className='searchImg' />
        </View>
      </View>
      <ScrollView scrollY style={{ height: 'calc(100% - 50px)' }}>
        <View>
          <Swiper
            circular
            autoplay
            className='swiper'
          >
            {imglist.map((item, inx) => (
              <SwiperItem key={inx}>
                <Image src={item.url} mode='widthFix' className='storeImage' />
              </SwiperItem>
            ))}
          </Swiper>
        </View>
        <View className='orderList'>
          <View className='head'>
            <Image className='headIcon' src={orderImg} />
            <Text className='title'>订单列表</Text>
            <Text className='more' onClick={handleMore}>更多>></Text>
          </View>

          <MyCard order />
          <MyCard order />
          <Footer />
        </View>
      </ScrollView>
    </View>
  )
}