import { useState } from "react"
import { View, Image, Input, Picker } from "@tarojs/components"
import CustomNav from "@/components/CustomNav"
import WalletCard from "@/components/walletCard"
import ListTitle from "@/components/ListTitle"
import goto from '@/assets/user/goto.png'
import MyButton from "@/components/MyButton"
import withLayout from '@/layouts'
import './style.less'

export default withLayout((props) => {
  const { router } = props
  let { balance } = router.params
  const [money, setMoney] = useState()

  const [index, setIndex] = useState(0)
  const bankList = [
    {
      key: 1,
      value: '中国建设银行（2258）'
    },
    {
      key: 2,
      value: '中国招商银行（9755）'
    },
    {
      key: 3,
      value: '中国工商银行（5675）'
    },
  ]
  const bankContentList = ['中国建设银行（2258）', '中国招商银行（9755）', '中国工商银行（5675）']
  const onChange = e => {
    console.log(bankList[e.detail.value])
    setIndex(e.detail.value)
  }

  const onClick = () => {
    if ((money - 0) > balance) {
      console.log('您的余额不足');
    } else {
      console.log('提交成功，1到3个工作日将到您的付款账户')
      // 刷新页面
    }
  }
  const handleChanage = (e) => {
    setMoney(e.detail.value)
  }
  return (
    <View className='page-index'>
      <View className='index-navbar'>
        <CustomNav title='我的钱包' />
      </View>
      <View className='index-container withdrawal'>
        <WalletCard tixian value={balance} />
        <ListTitle value='选择银行卡' />
        <Picker mode='selector' placeholder='请选择提现银行卡' range={bankContentList} onChange={onChange}>
          <View className='bankPicker'>
            <View className='body'>
              {bankContentList[index]}
            </View>
            <Image className='cell-action-picker' src={goto} />
          </View>
        </Picker>
        <ListTitle value='选择银行卡' />
        <View className='bankInput'>
          <View className='header'>￥</View>
          <Input className='body' type='number' placeholder='请输入提取金额' value={money} onBlur={handleChanage} />
        </View>
        <View className='bottomBtn'>
          <MyButton value='提现' onClick={onClick} />
        </View>
      </View>
    </View>
  )
})
